from app.functions.roll_dices import roll_dices


def roll_ability_check(score, multiplier):
    threshold = score * multiplier
    rolled = roll_dices(1, 100, False).get('result')
    if rolled < threshold:
        return {'threshold': threshold, 'rolled': rolled, 'success': True}, 200
    else:
        return {'threshold': threshold, 'rolled': rolled, 'success': False}, 200
